<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>List of Receipts</title>
</head>
<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                    Hello, {{ user.username }}
                    <li><a href="{% url 'home' %}">My Receipts</a></li>
                    <li><a href="{% url 'category_list' %}">Category List</a></li>
                    <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                    <li><a href="{% url 'create_category' %}">Create a Category</a></li>
                    <li><a href="{% url 'logout' %}">Logout</a></li>
                {% else %}
                    <li><a href="{% url 'signup' %}">Signup</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    {% block content %}
    {% endblock content %}
</body>
</html>
